Subject: Re: Git reference git stash

From: Mirko Faina <[email-masked]>
Date: Fri, 6 Mar 2026 03:31:33 +0100

On Fri, Mar 06, 2026 at 03:09:15AM +0100, Mirko Faina wrote:
> It doesn't seem to be specified at all, but from a quick test you can
> see for yourself that "git stash push <pathspec>" uses relative paths
> from the current directory and not the toplevel one.
> 
> To be sure on what's the relative path to use you can check the output
> from "git status".
> 
> Maybe it should be added to the documentation for "git stash".

Looking at the docs for other commands that use pathspec, it doesn't
look like any of them explicitly say if it's toplevel or relative
neither. I suppose the author thought it was obvious which one it was,
besides, it can be easily checked just by trying out the command.